package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWF4F2 extends MwfRequest<MWF4F2, MWF4F2Response> {

    @Parameter(name = "AccountNumber")
    MWF4F2 accountNumber(String accountNumber);
    @Parameter(name = "CIF")
    MWF4F2 cif(String cif);
    @Parameter(name = "ChannelId")
    MWF4F2 channelId(String channelId);
    @Parameter(name = "FeePlan")
    MWF4F2 feePlan(String feePlan);
    @Parameter(name = "ProductClass")
    MWF4F2 productClass(String productClass);
}
